{{ "SVIs" | comment }}

{% set l2 = tenants.l2domain %}
{% for domain in l2 %}
{% if l2[domain].site in devices[inventory_hostname].site or l2[domain].site == "multi" %}
{% if l2[domain].svi is defined %}
auto vlan{{ l2[domain].id }}
iface vlan{{ l2[domain].id }}
    vrf {{ l2[domain].svi.l3domain }}
    vlan-id {{ l2[domain].id }}
    vlan-raw-device bridge
    address {{ l2[domain].svi.ipv4_prefix[:-4] }}{{ devices[inventory_hostname].id|int + 200 }}/24
    address-virtual 00:00:5e:00:01:01 {{ l2[domain].svi.ipv4_prefix | ipaddr('next_usable') }}{{ l2[domain].svi.ipv4_prefix[-3:] }}

{% else %}
auto vlan{{ l2[domain].id }}
iface vlan{{ l2[domain].id }}
    vlan-id {{ l2[domain].id }}
    vlan-raw-device bridge
    ip-forward off
    ip6-forward off
    
{% endif %}
{% endif %}
{% endfor %}
